Subject: bug#37932: [PATCH] Support hidpi fringes and images with Cairo

From: Carlos Pita <[email-masked]>
Date: Sat, 26 Oct 2019 03:01:47 -0300

I realized there is a problem with images. According to create-image:

Optional PROPS are additional image attributes to assign to the image,
like, e.g. `:mask MASK'.  If the property `:scale' is not given and the
display has a high resolution (more exactly, when the average width of a
character in the default font is more than 10 pixels), the image is
automatically scaled up in proportion to the default font.

So even if my patch correctly scales some images, it's scaling others
twice. Probably not all images pass through create-image.

I'll give a look at this tomorrow.